Folder API
Get Folder
Get a single folder by ID.
GET
/
v2
/
folders
/
{id}
Get Folder
curl --request GET \
--url https://public.api.serval.com/v2/folders/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://public.api.serval.com/v2/folders/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public.api.serval.com/v2/folders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"teamId": "<string>",
"name": "<string>",
"parentFolderId": "<string>"
}
}{
"message": "<string>",
"detail": {
"type": "<string>",
"value": "<string>",
"debug": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the folder. The owning team is resolved from the folder.
Response
Success
The folder.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Get Folder

